@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

body {
  background: linear-gradient(
    to bottom,
    #01010a 60%,
    #0b1250 75%,
    #575fa3 100%
  );
  overflow-x: hidden;
}

/* SCROLL */

::-webkit-scrollbar {
  width: 5px;
  background-color: #01010a;
}

::-webkit-scrollbar-thumb {
  background: #171e5d;
  border-radius: 20px;
}

.logo {
  width: 40px;
  display: flex;
  user-select: none;
  cursor: pointer;
}

.blur {
  width: 100%;
  height: 50px;
  background: linear-gradient(to bottom, #030716 0%, #01010a 100%);
  filter: blur(20px);
  z-index: 500;
}

/* INICIO DO HEADER */

#mobile-header {
  display: none;
}

header {
  display: flex;
  position: absolute;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem 2rem;
  background-color: transparent;
  color: #ffffff;
  transition: all 0.5s;
  animation: fromTop 0.5s forwards;
}

header nav ul {
  display: flex;
  flex-wrap: wrap;
}

header nav ul li {
  flex-wrap: wrap;
  list-style: none;
  margin: 1rem;
}

header nav ul li a {
  text-decoration: none;
  color: #ffffff;
}

header nav ul li a:hover {
  animation: createUnderline 0.3s forwards;
}
/* FIM DO HEADER */

/* INICIO DA SECTION */

section {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  margin: 20px 0;
}

section:nth-child(odd) {
  flex-direction: row-reverse;
}

.text {
  width: 1000px;
  padding: 20px;
  color: white;
}

.image img,
.carousel img {
  max-width: 500px;
  max-height: 250px; /* Define a altura máxima */
  min-width: 500px;
  min-height: 250px;
  width: auto;
  height: auto;
  object-fit: cover;
  transition: all 0.3s;
}

.image img:hover, .carousel:hover {
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.3);
  transition: all 0.1s;
}

.sections {
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transform: translateX(-40vw);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.sections.visible {
  opacity: 1;
  transform: translateX(0);
}
/* FINAL DA SECTION */

/* .box {
    background-color: #2638d6;
    color: white;
    border-radius: 5px;
    border: 1px solid #12195c;
    display: flex;
    justify-content: center;
    align-items: center;
} */

/* INICIO */

.inicio {
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-image: url(./images/pexels-ninasimek-13002747.jpg);
  height: 100svh;
  width: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  object-fit: cover;
}

.box-inicial {
  display: flex;
  justify-content: center;
  align-content: center;
  flex-direction: column;
  user-select: none;
}

.inicio h1 {
  font-size: 70px;
  margin-top: -70px;
  background: -webkit-linear-gradient(rgb(65, 192, 231), rgb(159, 189, 218));
  background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: popUp 0.3s forwards;
  user-select: none;
}

.inicio p {
  font-size: 20px;
  transition: all 0.3s;
  animation: open 0.3s forwards;
}

.footer {
  background-color: #1e234e;
  padding: 20px;
  text-align: center;
  width: 100%;
  box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.5);
  user-select: none;
}

.footer p {
  margin: 0;
  color: #b0b0b0;
}

.footer a {
  color: #6aa6f8;
  text-decoration: none;
}

.footer a:hover {
  text-decoration: underline;
}

/* CAROUSEL */

.carousel {
  margin: 20px;
  position: relative;
  max-width: 500px;
  max-height: 250px; /* Define a altura máxima */
  min-width: 500px;
  min-height: 250px;
  width: auto;
  height: auto;
  object-fit: cover;
  overflow: hidden;
}

.carousel-inner {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.carousel-inner img {
  width: 100%;
  flex-shrink: 0;
}

.carousel-control {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
  z-index: 10;
}

.carousel-control.prev {
  left: 10px;
}

.carousel-control.next {
  right: 10px;
}

/* ---------------------------FORMS CONTATO------------------------------ */

#abrirModal {
  margin: 0 auto;
  width: 70px;
  height: 70px;
  position: fixed;
  bottom: 7vh;
  right: 5vw;
  background-color: #282883;
  color: #fff;
  border-radius: 100px;
  padding: 1rem;
  box-shadow: #070b30 0px 0px 10px;
  cursor: pointer;
  user-select: none;
  transition: all 0.3s;
}

#abrirModal:hover {
  background-color: rgb(41, 51, 148);
  transition: all 0.3s;
}

#abrirModal img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 100px;
}

#contato {
  background-color: #070b30;
  margin: auto;
  border-radius: 15px;
}

#contato[open] {
  animation: slide-up 500ms forwards, fadeIn 500ms forwards;
}
#contato[open]::backdrop {
  animation: fadeIn 500ms forwards;
}
#contato[closing] {
  animation: fadeOut 500ms forwards;
  display: block;
  pointer-events: none;
  inset: 0;
}
#contato[closing]::backdrop {
  animation: fadeOut 500ms forwards;
}
#contato::backdrop {
  background-color: rgba(0, 0, 0, 0.6);
}

.contato-container {
  height: 100%;
  width: 500px;
  overflow: hidden;
}

.container:hover {
  box-shadow: 8px 8px 8px 8px rgba(92, 65, 153, 0.4);
  border-color: #2e3165;
}

.contato-header {
  display: flex;
  justify-content: space-between;
  margin: 0;
  padding: 20px;
  text-align: center;
  color: #ffffff;
}

.contato-header button {
  background-color: #282883;
  color: #fff;
  border: 0;
  border-radius: 8px;
  padding: 0.5rem 1rem;
  cursor: pointer;
  font-size: 16px;
}

.contato-header button:hover {
  background-color: #3c46a1;
  transition: all 0.3s;
}

.contato-header span {
  padding: 1.3rem;
}

.contato-body {
  padding: 0;
  margin: 0;
  margin-bottom: 44px;
}

.form {
  width: 100%;
  padding: 20px;
}

.form-content {
  color: #dfdfdf;
  position: relative;
  text-align: left;
}

.form-content label {
  display: inline-block;
  margin-bottom: 4px;
  text-align: left;
}

.form-content input,
.form-content textarea {
  display: block;
  width: 100%;
  max-width: 100%;
  border-radius: 8px;
  padding: 8px;
  border: 2px solid #dfdfdf;
  resize: none;
}

.form-content a {
  left: 0;
  margin-bottom: 16px;
  visibility: hidden;
}

.form button {
  background-color: #282883;
  color: #fff;
  text-align: center;
  cursor: pointer;
  width: 100%;
  border-radius: 14px;
  padding: 10px;
  border: 0;
  font-size: 16px;
  margin-top: 14px;
}

.form button:hover {
  background-color: #3c46a1;
  transition: all 0.3s;
}

.form-content.error input,
.form-content.error textarea {
  border-color: #ff3b25;
}

.form-content.error a {
  color: #ff3b25;
  visibility: visible;
}

/* responsivo */

@media (max-width: 815px) {
  header {
    display: none;
  }

  #mobile-header {
    display: flex;
    position: fixed;
    z-index: 1000;
    padding: 0.5rem 0;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    background-color: #0b1250;
    color: #ffffff;
    transition: all 0.5s;
  }

  #mobile-header nav {
    display: flex;
    flex-direction: column;
    width: 100%;
    transition: all 0.5s;
    animation: open 0.5s forwards;
  }

  #mobile-header ul {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  #mobile-header ul li {
    padding: 1rem;
    margin: 0;
  }

  #mobile-header ul li:hover {
    background-color: #070b30;
  }

  #mobile-header-icon {
    display: flex;
    margin: 0.5rem;
    max-width: 40px;
    max-height: 40px;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 30px;
  }

  #mobile-header.closed {
    background-color: transparent;
  }

  #mobile-header.closed nav {
    animation: open 0.5s forwards;
    display: none;
  }

  .sections,
  .sections:nth-child(odd) {
    display: flex;
    flex-direction: column-reverse;
    padding: 0 20px;
    scroll-margin-top: 70px;
    margin-bottom: 2rem;
  }

  .inicio {
    height: 100vh;
  }

  .inicio h1 {
    margin-top: -100px;
    font-size: 50px;
  }

  .inicio p {
    font-size: 15px;
  }

  .text {
    padding: 1rem 0;
    width: 100%;
  }

  .image {
    width: 100%;
  }

  .image img,
  .carousel,
  .carousel img {
    width: 100%;
    max-width: 100%;
    min-width: 100%;
    height: auto;
    max-height: 100%;
    min-height: 100%;
  }

  #abrirModal {
    bottom: 5vh;
    width: 60px;
    height: 60px;
  }

  #contato {
    width: 100%;
  }

  .contato-container {
    width: 100%;
  }

  .contato-header span {
    display: none;
  }

  .contato-body {
    margin-bottom: 20px;
  }
}

/* ANIMAÇÃO */

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes popUp {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}

@keyframes fromTop {
  from {
    transform: translateY(-100%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes open {
  from {
    transform: translateX(-100%);
  }
  to {
    transform: translateX(0);
  }
}

@keyframes close {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

@keyframes createUnderline {
  from {
    border-bottom: 1.5px solid transparent;
  }
  to {
    border-bottom: 1.5px solid #ffffff;
  }
}

@keyframes slide-up {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0%);
  }
}
